List Payment Methods
curl -X GET "https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual¤cy=example_string&headlessMode=true&limit=5&page=1" \
-H "Content-Type: application/json" \
-H "MID: example_string"
import requests
import json
url = "https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual¤cy=example_string&headlessMode=true&limit=5&page=1"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual¤cy=example_string&headlessMode=true&limit=5&page=1", {
method: "GET",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual¤cy=example_string&headlessMode=true&limit=5&page=1", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual¤cy=example_string&headlessMode=true&limit=5&page=1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
response = http.request(request)
puts response.body
{
"status": "success",
"data": [
{
"name": "ACB BANK",
"paymentCode": "acb",
"paymentType": "bank_transfer",
"logoUrl": "https://common-payment-methods-logo.s3.ap-southeast-1.amazonaws.com/bank_transfer.svg",
"minAmount": 50000,
"maxAmount": 249999999
}
]
}
/v1/public/config/payment-methods
Target server for requests. Edit to use your own host.
Transaction direction — deposit or withdraw.
Type of user — individual or business.
Filter payment methods by currency code (e.g. USD, IDR).
If true, additionalDetails are included in the response; if false, they are hidden.
Number of results per page.
Page number for pagination.
Merchant ID for authentication.
Request Preview
Response
Response will appear here after sending the request
Query Parameters
Filter payment methods by currency code (e.g. USD, IDR).
If true, additionalDetails are included in the response; if false, they are hidden.
Number of results per page.
Page number for pagination.
Headers
Merchant ID for authentication.